Subject: [Mipshop] Issues regarding RFC - 4068

From: [email-masked]
Date: Thu, 01 Feb 2007 21:28:28 +0100

Dear All,

This is Javier Martín for UPC (www.upc.edu). We are working on an
implementation of the Fast Handovers protocols and we have three questions
regarding RFC 4068:

1- Section RFC 4068 – 6.4.1 it is specified: "IPv6 Address:  The IP address for the unit defined by
the Type field."

But our understanding is that you are referring to the field Option-code instead of the Type field.

2- According to the RFC 4068 – 6.1.1 the New Access Point Link-Layer Address could be set to 0 if no
other new access point is known.

Our understanding is that it can be only referred to the field LLA, the remaining fields , type,
length and option-code will have the values previously explained in section 6.4.3.

3- Section 6.4.3, defines field Length as “The size of this option in 8 octets including the Type,
Option-Code, and Length fields”.

After analyzing this specification we have reached to the conclusion that the size of the LLA field
must be included so in case of having more than one New Access Point Link-Layer Address there would
be no way of knowing how many Link-Layer Address would be included in this option.

Could you please take a look at these questions and let me know something about this.

Many thanks in advance.

Best Regards,

Javier Martín

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Rajeev Koodli <[email-masked]>
Date: Mon, 05 Feb 2007 12:30:00 -0800

Hello Javier,

> implementation of the Fast Handovers protocols and we have three questions

Great!

> regarding RFC 4068:
> 
> 1- Section RFC 4068 ˆ 6.4.1 it is specified: "IPv6 Address:  The IP address
> for the unit defined by
> the Type field."
> 

Agree. I have entered in the issue tracker the new text.

> 
> 
> 2- According to the RFC 4068 ˆ 6.1.1 the New Access Point Link-Layer Address
> could be set to 0 if no

I assume you mean the text in 6.1.1 should refer to text in 6.4.3. I agree
it clarifies better.

> 
> 
> 3- Section 6.4.3, defines field Length as „The size of this option in 8 octets
> including the Type,
> Option-Code, and Length fields‰.
> 

I didn't quite follow this.. The Length field includes the size of the
entire option. 
Also, could you give examples where more than one LLA needs to be present?
(Option-code in 6.4.3 is specific to each LLA, not multiple LLAs).

Thanks,

-Rajeev